Name:           tuxpuck
Version:        0.8.2
Release:        5%{?dist}
Summary:        3D Shufflepuck Pong Game

Group:          Amusements/Games
License:        GPLv2
URL:            http://www.efd.lth.se/~d00jkr/tuxpuck/
Source0:        http://www.efd.lth.se/~d00jkr/tuxpuck/%{name}-%{version}.tar.gz
Source1:        tuxpuck.desktop
Patch0:         tuxpuck-0.8.2-mandest.patch
Patch1:         tuxpuck-0.8.2-utils-werror.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel, freetype-devel, libvorbis-devel
BuildRequires:  libpng-devel, libjpeg-devel, desktop-file-utils
BuildRequires:	ImageMagick

Requires: hicolor-icon-theme

%description
TuxPuck is a shufflepuck game written in C using SDL. The player moves a pad
around a board and tries to shoot down the puck through the opponents defense.
Easy to play, difficult to win.

%prep
%setup -q
%patch0 -p0 -z .mandest
%patch1 -p0 -z .utils-werror

%build
export CFLAGS="%{optflags}"
make
convert -transparent white data/icons/%{name}.ico %{name}.png

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Install icon and desktop file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install %{name}.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps

desktop-file-install --vendor fedora                            \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications           \
        %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files
%defattr(-,root,root,-)
%doc COPYING readme.txt bugs.txt thanks.txt todo.txt
%{_bindir}/%{name}
%{_mandir}/man6/%{name}.6.gz
%{_datadir}/applications/fedora-tuxpuck.desktop
%{_datadir}/icons/hicolor/32x32/apps/tuxpuck.png

%changelog
* Fri Feb 08 2008 Jon Ciesla <limb@jcomserv.net> 0.8.2-5
- GCC 4.3 rebuild.

* Thu Aug 16 2007 Jon Ciesla <limb@jcomserv.net> 0.8.2-4
- License tag correction.

* Fri Mar 30 2007 Jon Ciesla <limb@jcomserv.net> 0.8.2-3
- Applied cleanup fixes from Hans de Goede's BZ 234566/234307

* Wed Sep 13 2006 Hugo Cisneiros <hugo@devin.com.br> 0.8.2-2
- Rebuilt for FC6

* Thu Aug  3 2006 Hugo Cisneiros <hugo@devin.com.br> 0.8.2-1
- Initial RPM provided by Che
- Extras Release
